﻿using Infrastructure.Entities;
using Microsoft.EntityFrameworkCore;

namespace Infrastructure;

public class OptifitDbContext : DbContext
{
    public virtual DbSet<User> Users { get; set; }
    public OptifitDbContext()
    {
    }
    
    public OptifitDbContext(DbContextOptions<OptifitDbContext> options)
        : base(options)
    {
    }
    
    protected override void OnConfiguring(DbContextOptionsBuilder options)
    {
        if (!options.IsConfigured)
        {
            options.UseSqlite("Data Source=InMemoryDb.db");
        }
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<User>().Property(a => a.Name).IsRequired();
        
        base.OnModelCreating(modelBuilder);
    }
}