using Infrastructure.Entities;
using Server.Dto.Request;
using Server.Dto.Response;
using AutoMapper;

namespace Server.Mappers;

public class UsersMappers : Profile
{
    public UsersMappers()
    {
        _ = CreateMap<User, ResponseUserDto>()
            .ForMember(dest => dest.Id, opt => opt.MapFrom(src => src.Id))
            .ForMember(dest => dest.Name, opt => opt.MapFrom(src => src.Name))
            .ForMember(dest => dest.Age, opt => opt.MapFrom(src => src.Age))
            .ForMember(dest => dest.Height, opt => opt.MapFrom(src => src.Height))
            .ForMember(dest => dest.Weight, opt => opt.MapFrom(src => src.Weight))
            .ForMember(dest => dest.Sexe, opt => opt.MapFrom(src => src.Sexe))
            .ForMember(dest => dest.Logo, opt => opt.MapFrom(src => src.Logo))
            .ForMember(dest => dest.NbSessionPerWeek, opt => opt.MapFrom(src => src.NbSessionPerWeek))
            .ForMember(dest => dest.EGoal, opt => opt.MapFrom(src => src.EGoal))
            .ForMember(dest => dest.ESleepLevel, opt => opt.MapFrom(src => src.ESleepLevel));

        _ = CreateMap<RequestUserDto, User>()
            .ForMember(dest => dest.Name, opt => opt.MapFrom(src => src.Name));
        //.ForMember(dest => dest.Age, opt => opt.MapFrom(src => src.Age))
        //.ForMember(dest => dest.Height, opt => opt.MapFrom(src => src.Height))
        //.ForMember(dest => dest.Weight, opt => opt.MapFrom(src => src.Weight))
        //.ForMember(dest => dest.Sexe, opt => opt.MapFrom(src => src.Sexe))
        //.ForMember(dest => dest.Logo, opt => opt.MapFrom(src => src.Logo))
        //.ForMember(dest => dest.NbSessionPerWeek, opt => opt.MapFrom(src => src.NbSessionPerWeek))
        //.ForMember(dest => dest.EGoal, opt => opt.MapFrom(src => src.EGoal))
        //.ForMember(dest => dest.ESleepLevel, opt => opt.MapFrom(src => src.ESleepLevel));
    }
    
}